% Configuration des utilisateurs

Voir: [User Management - Proxmox VE](https://pve.proxmox.com/wiki/User_Management)


```
$ sudo pveum group add admin -comment "System Administrators"
$ sudo  pveum acl modify / -group admin -role Administrator
$ sudo  pveum user modify testuser@pve -group admin^C
$ sudo pveum user add laurent@pve -comment "Laurent HUBERT"
$ sudo pveum passwd laurent@pve
Enter new password: ***********************************
Retype new password: ***********************************
$ pveum passwd laurent@pve^C
$ sudo  pveum user modify laurent@pve -group admin
$ 
```


Proxmox IPI B1

```
$ cat  apply-config-reseau 
#!/bin/bash


#adresse_original=192.168.100.2
INTERFACES_FILE=/etc/network/interfaces
ORIGINAL_GATEWAY=$(awk '$1 == "gateway" { print $2 }' ${INTERFACES_FILE})

GATEWAY=10.29.10.253
NEW_ADDRESS=10.29.10.200
DNS_SERVER=1.1.1.1

if ! grep '^#configlaurent$' /etc/network/interfaces > /dev/null 2>&1
then
	# C'est pas ma config
	echo Je backup
	cp ${INTERFACES_FILE} ${INTERFACES_FILE}.original
	cp /etc/hosts /etc/hosts.original
	cp /etc/hostname /etc/hostname.original
	echo '#configlaurent' >> ${INTERFACES_FILE}
fi

ORIGINAL_ADDRESS=$(awk '$1 == "address" { split( $2, a, "/") ; print a[1] }' ${INTERFACES_FILE}.original)

if [[ "${ORIGINAL_GATEWAY}" != "${GATEWAY}" ]]
then
	sed -i.switch3560  -E	-e 's,(address )[^/]+,\1'$NEW_ADDRESS',g' \
		-e 's,(gateway ).+$,\1'$GATEWAY',g' \
		-e '/gateway .+$/a        dns-nameservers '$DNS_SERVER'' /etc/network/interfaces
	sed -E -e 's,^'$ORIGINAL_ADDRESS','$NEW_ADDRESS',g' /etc/hosts.original > /etc/hosts
fi

```
